# Class OjTimeline

The component WebElement for oj-timeline. Do not instantiate this class directly, instead, use ojTimeline.

#### Hierarchy

- OjTimelineBase
  - OjTimeline

#####
Index

### Constructors

constructor

### Methods

changeSelection
clear
click
findElement
findElements
getAnimationOnDataChange
getAnimationOnDisplay
getAttribute
getCssValue
getDnd
getEnd
getItemDefaults
getLocation
getMajorAxis
getMinorAxis
getOrientation
getOverview
getProperty
getRect
getReferenceObjects
getSelection
getSelectionMode
getSeries
getSize
getStart
getStyleDefaults
getText
getTooltip
getTrackResize
getTranslations
getValueFormats
getViewportEnd
getViewportNavigationMode
getViewportStart
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady

## Constructors

### constructor

- new OjTimeline(el, locators): OjTimeline

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjTimeline

  Inherited from OjTimelineBase.constructor

## Methods

### changeSelection

- changeSelection(selection): Promise<void>

- Sets the value of `selection` property. An array of strings containing the ids of the initially selected items.

  #### Parameters

  - ##### selection: any[]

    The value to set for `selection`

  #### Returns Promise<void>

  Inherited from OjTimelineBase.changeSelection

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjTimelineBase.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjTimelineBase.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from OjTimelineBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from OjTimelineBase.findElements

### getAnimationOnDataChange

- getAnimationOnDataChange(): Promise<string>

- Gets the value of `animationOnDataChange` property. Specifies the animation that is applied on data changes.

  #### Returns Promise<string>

  The value of `animationOnDataChange` property.

  Inherited from OjTimelineBase.getAnimationOnDataChange

### getAnimationOnDisplay

- getAnimationOnDisplay(): Promise<string>

- Gets the value of `animationOnDisplay` property. Specifies the animation that is shown on initial display.

  #### Returns Promise<string>

  The value of `animationOnDisplay` property.

  Inherited from OjTimelineBase.getAnimationOnDisplay

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjTimelineBase.getAttribute

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjTimelineBase.getCssValue

### getDnd

- getDnd(): Promise<Dnd>

- Gets the value of `dnd` property. Enables drag and drop functionality.

  #### Returns Promise<Dnd>

  The value of `dnd` property.

  Inherited from OjTimelineBase.getDnd

### getEnd

- getEnd(): Promise<string>

- Gets the value of `end` property. The end time of the timeline. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `end` property.

  Inherited from OjTimelineBase.getEnd

### getItemDefaults

- getItemDefaults(): Promise<ItemDefaults>

- Gets the value of `itemDefaults` property. Specifies default properties for items in the Timeline.

  #### Returns Promise<ItemDefaults>

  The value of `itemDefaults` property.

  Inherited from OjTimelineBase.getItemDefaults

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from OjTimelineBase.getLocation

### getMajorAxis

- getMajorAxis(): Promise<MajorAxis>

- Gets the value of `majorAxis` property. An object defining the optional timeline major axis.

  #### Returns Promise<MajorAxis>

  The value of `majorAxis` property.

  Inherited from OjTimelineBase.getMajorAxis

### getMinorAxis

- getMinorAxis(): Promise<MinorAxis>

- Gets the value of `minorAxis` property. An object defining the timeline minor axis.

  #### Returns Promise<MinorAxis>

  The value of `minorAxis` property.

  Inherited from OjTimelineBase.getMinorAxis

### getOrientation

- getOrientation(): Promise<string>

- Gets the value of `orientation` property. The orientation of the element.

  #### Returns Promise<string>

  The value of `orientation` property.

  Inherited from OjTimelineBase.getOrientation

### getOverview

- getOverview(): Promise<Overview>

- Gets the value of `overview` property. An object defining the optional timeline overview.

  #### Returns Promise<Overview>

  The value of `overview` property.

  Inherited from OjTimelineBase.getOverview

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjTimelineBase.getProperty

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from OjTimelineBase.getRect

### getReferenceObjects

- getReferenceObjects(): Promise<ReferenceObjects[]>

- Gets the value of `referenceObjects` property. The array of reference objects associated with the timeline. See the Help documentation for more information.

  #### Returns Promise<ReferenceObjects[]>

  The value of `referenceObjects` property.

  Inherited from OjTimelineBase.getReferenceObjects

### getSelection

- getSelection(): Promise<any[]>

- Gets the value of `selection` property. An array of strings containing the ids of the initially selected items.

  #### Returns Promise<any[]>

  The value of `selection` property.

  Inherited from OjTimelineBase.getSelection

### getSelectionMode

- getSelectionMode(): Promise<string>

- Gets the value of `selectionMode` property. Specifies the selection mode.

  #### Returns Promise<string>

  The value of `selectionMode` property.

  Inherited from OjTimelineBase.getSelectionMode

### getSeries

- getSeries(): Promise<null | Series[]>

- Gets the value of `series` property. An array of objects defining each timeline series. Also accepts a Promise for deferred data rendering.

  #### Returns Promise<null | Series[]>

  The value of `series` property.

  Inherited from OjTimelineBase.getSeries

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from OjTimelineBase.getSize

### getStart

- getStart(): Promise<string>

- Gets the value of `start` property. The start time of the timeline. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `start` property.

  Inherited from OjTimelineBase.getStart

### getStyleDefaults

- getStyleDefaults(): Promise<StyleDefaults>

- Gets the value of `styleDefaults` property. An object defining the default styling for this timeline.

  #### Returns Promise<StyleDefaults>

  The value of `styleDefaults` property.

  Inherited from OjTimelineBase.getStyleDefaults

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjTimelineBase.getText

### getTooltip

- getTooltip(): Promise<Tooltip>

- Gets the value of `tooltip` property. An object containing an optional callback function for tooltip customization.

  #### Returns Promise<Tooltip>

  The value of `tooltip` property.

  Inherited from OjTimelineBase.getTooltip

### getTrackResize

- getTrackResize(): Promise<string>

- Gets the value of `trackResize` property. Defines whether the element will automatically render in response to changes in size. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `trackResize` property.

  Inherited from OjTimelineBase.getTrackResize

### getTranslations

- getTranslations(): Promise<null | Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<null | Translations>

  The value of `translations` property.

  Inherited from OjTimelineBase.getTranslations

### getValueFormats

- getValueFormats(): Promise<ValueFormats>

- Gets the value of `valueFormats` property. An object specifying value formatting and tooltip behavior, whose keys generally correspond to item properties.

  #### Returns Promise<ValueFormats>

  The value of `valueFormats` property.

  Inherited from OjTimelineBase.getValueFormats

### getViewportEnd

- getViewportEnd(): Promise<string>

- Gets the value of `viewportEnd` property. The end time of the timeline's viewport. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `viewportEnd` property.

  Inherited from OjTimelineBase.getViewportEnd

### getViewportNavigationMode

- getViewportNavigationMode(): Promise<string>

- Gets the value of `viewportNavigationMode` property. The viewport navigation mode of the timeline.

  #### Returns Promise<string>

  The value of `viewportNavigationMode` property.

  Inherited from OjTimelineBase.getViewportNavigationMode

### getViewportStart

- getViewportStart(): Promise<string>

- Gets the value of `viewportStart` property. The start time of the timeline's viewport. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `viewportStart` property.

  Inherited from OjTimelineBase.getViewportStart

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from OjTimelineBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from OjTimelineBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjTimelineBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjTimelineBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjTimelineBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjTimelineBase.sendKeys

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjTimelineBase.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjTimelineBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjTimelineBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjTimelineBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjTimelineBase.whenReady

Generated using TypeDoc